View Issue Details

IDProjectCategoryView StatusLast Update
16549Bug reportsFile managerpublic2021-04-22 16:45
Reporteruser225042Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.3.6 
Summary16549: Error message is shown while trying to delete and reupload file using File upload
DescriptionIssue: Error "/index.php?r=uploader/index/mode/upload/sid/364584/preview/0/fieldname/364584X39X1439/" message is displayed .
Steps To Reproduce1.Log in as admin.
2.Create Survey
3.Create Question Group
4.Create Question with Question Type: File Upload
5.Preview or run the surve
6.Click on Upload File button
7.Add file and save
8.Now go and delete the added file
9.Try again to add file
Additional InformationPlease refer the screenshot for more details
TagsNo tags attached.
Complete LimeSurvey version number (& build) 4.3.6
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysqlnd 7.4.7
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4.7

Relationships

related to 16589 closedgabrieljenik Unable to Upload files using File upload (|) . 
related to 16194 closedgabrieljenik file upload disables other clicks 

Activities

user225042

2020-07-30 16:49

  ~59221

File_Reupload.png (21,465 bytes)   
File_Reupload.png (21,465 bytes)   
gabrieljenik

gabrieljenik

2020-08-17 14:28

manager   ~59479

Fixed by removing the iframe after receiving the result.
Also fixed the order of _getResponse and form.submit() calls, which doesn't seem to affect this case but was wrong anyway: _getResponse only adds the load event for the iframe, and it was being called after form.submit(). The event should be defined before submitting the form.

https://github.com/LimeSurvey/LimeSurvey/pull/1551

user225042

2020-08-18 14:57

  ~59501

Tested the issue after checking into branch, I am not able to upload the file for the first time only
Please refer the attachment for more details
16549_FileUpload.png (29,083 bytes)   
16549_FileUpload.png (29,083 bytes)   

user225042

2020-08-20 15:49

  ~59558

Working as expected.
Please refer the attachment for more details
FileReupload_Working.png (203,252 bytes)
gabrieljenik

gabrieljenik

2020-08-21 11:44

manager   ~59570

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30408

Related Changesets

LimeSurvey: master 09da6655

2020-08-17 14:37:41

gabrieljenik

Details Diff
Fixed issue 16194: file upload disables other clicks.

After loading the upload frame inside the modal, 'relevance:on' event handlers are lost.
Calling triggerEmRelevance() when closing the modal fixes the issue.

Contains also fix for 16549: Error message is shown while trying to delete and reupload file using File upload
Affected Issues
16194, 16549
mod - assets/packages/questions/upload/build/uploadquestion.js Diff File
mod - assets/packages/questions/upload/build/uploadquestion.min.js Diff File
mod - assets/packages/questions/upload/build/uploadquestion.min.js.map Diff File
mod - assets/packages/questions/upload/src/ajaxupload.js Diff File

LimeSurvey: master e3229069

2020-08-18 19:00:29

gabrieljenik

Details Diff
Fixed issue 16194: file upload disables other clicks.

After loading the upload frame inside the modal, 'relevance:on' event handlers are lost.
Calling triggerEmRelevance() when closing the modal fixes the issue.

Removes the cache for the currentUploadHandler. This wasn't working for multiple upload question in the same as it was caching it on a window level variable. Removed the cache for simplifiying.

Contains also fix for 16549: Error message is shown while trying to delete and reupload file using File upload
Affected Issues
16194, 16549
mod - assets/packages/questions/upload/build/uploadquestion.js Diff File
mod - assets/packages/questions/upload/build/uploadquestion.min.js Diff File
mod - assets/packages/questions/upload/build/uploadquestion.min.js.map Diff File
mod - assets/packages/questions/upload/src/ajaxupload.js Diff File
mod - assets/packages/questions/upload/src/modaldialog.js Diff File
mod - assets/packages/questions/upload/src/uploader.js Diff File

LimeSurvey: master e5155535

2020-08-18 20:59:00

gabrieljenik

Details Diff
Fixed issue 16194: file upload disables other clicks.

After loading the upload frame inside the modal, 'relevance:on' event handlers are lost.

Removed the jquery package as it was overstepping all the bindings previously done.

Removes the cache for the currentUploadHandler. This wasn't working for multiple upload question in the same as it was caching it on a window level variable. Removed the cache for simplifiying.

Contains also fix for 16549: Error message is shown while trying to delete and reupload file using File upload
Affected Issues
16194, 16549
mod - application/controllers/UploaderController.php Diff File
mod - assets/packages/questions/upload/build/uploadquestion.js Diff File
mod - assets/packages/questions/upload/build/uploadquestion.min.js Diff File
mod - assets/packages/questions/upload/build/uploadquestion.min.js.map Diff File
mod - assets/packages/questions/upload/src/ajaxupload.js Diff File
mod - assets/packages/questions/upload/src/uploader.js Diff File

Issue History

Date Modified Username Field Change
2020-07-30 16:48 user225042 New Issue
2020-07-30 16:49 user225042 Note Added: 59221
2020-07-30 16:49 user225042 File Added: File_Reupload.png
2020-07-30 16:49 user225042 Zoho Sprints => |Yes|
2020-07-30 16:49 swendrich Zoho Sprints ID => 14469000000204001
2020-08-04 10:22 user225042 Status new => confirmed
2020-08-04 10:22 user225042 Zoho Sprints Yes => |Yes|
2020-08-17 14:28 gabrieljenik Note Added: 59479
2020-08-18 12:13 user225042 Relationship added related to 16589
2020-08-18 14:57 user225042 Note Added: 59501
2020-08-18 14:57 user225042 File Added: 16549_FileUpload.png
2020-08-19 17:14 gabrieljenik Relationship added related to 16194
2020-08-20 15:49 user225042 Note Added: 59558
2020-08-20 15:49 user225042 File Added: FileReupload_Working.png
2020-08-21 11:44 gabrieljenik Changeset attached => LimeSurvey master e5155535
2020-08-21 11:44 gabrieljenik Changeset attached => LimeSurvey master e3229069
2020-08-21 11:44 gabrieljenik Changeset attached => LimeSurvey master 09da6655
2020-08-21 11:44 gabrieljenik Note Added: 59570
2020-08-21 11:44 gabrieljenik Assigned To => gabrieljenik
2020-08-21 11:44 gabrieljenik Resolution open => fixed
2021-04-22 16:45 gabrieljenik Status confirmed => closed